package HotSaNICmod::common;

sub configure {
	my $num=0;
	foreach (@_) {
		($var,$value)=HotSaNICparser::parse_line($_);
		if ($var eq "IWCONFIG") { $MODARGS{IWCONFIG}=$value; }
		if ($var eq "IWLIST") { $MODARGS{IWLIST}=$value; }
		if ($var eq "HOSTAP") { $MODARGS{HOSTAP}=$value; }
		if ($var eq "IFACE") {
			my ($device,$descr)=split(/,/,$value);
			$MODARGS{"IFACE:$device"}=$descr;
		}
		if ($var eq "MAC") {
			my ($dev,$mac,$macdescr)=split(/,/,$value);
			$MODARGS{"MAC,$dev,$mac"}=$macdescr;
		}
	}
	return %MODARGS;
}
1;
